package department_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/department_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route post /api/admin/department/create department_admin CreateDepartmentAdmin
//
// Create department | 创建部门
//
// Create department | 创建部门
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: DepartmentInfo
//
// Responses:
//  200: BaseID

func CreateDepartmentAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.DepartmentInfo
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := department_admin.NewCreateDepartmentAdminLogic(r, r.Context(), svcCtx)
		resp, err := l.CreateDepartmentAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
